problem in installing primer3 in ubuntu
1
0
Entering edit mode
12 days ago

I am trying to install primer3 in ubuntu but below written error occurred. Pls give any solution for this.

kaushal@kaushal-VirtualBox:~/Documents$ sudo apt-get install primer3
[sudo] password for kaushal: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libpython2.7 : Depends: libpython2.7-stdlib (= 2.7.15-4ubuntu4~18.04.2) but 2.7.17-1~18.04ubuntu1.6 is to be installed
 libpython2.7-dev : Depends: libpython2.7-stdlib (= 2.7.15-4ubuntu4~18.04.2) but 2.7.17-1~18.04ubuntu1.6 is to be installed
 libpython2.7-stdlib : Depends: libpython2.7-minimal (= 2.7.17-1~18.04ubuntu1.6) but 2.7.15-4ubuntu4~18.04.1 is to be installed
 python2.7 : Depends: python2.7-minimal (= 2.7.15-4ubuntu4~18.04.2) but 2.7.15-4ubuntu4~18.04.1 is to be installed
             Depends: libpython2.7-stdlib (= 2.7.15-4ubuntu4~18.04.2) but 2.7.17-1~18.04ubuntu1.6 is to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution) 
new • 120 views
ADD COMMENT
1
Entering edit mode

so did you run sudo apt --fix-broken install as suggested?

Alternatively you can install primer3 from here

ADD REPLY
0
Entering edit mode
12 days ago
JC 12k

An easy alternative is to install with BioConda

ADD COMMENT

Login before adding your answer.

Traffic: 2664 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6